Status: New % Done: 0%
Priority: Normal
Assignee: Francisco Puga
Category:
Target version:
Severity: Add-on name: Unknown
gvSIG version: 1.12.0 Add-on version:
gvSIG build: Add-on build:
Operative System: Windows Add-on resolve version:
Keywords: symbol Add-on resolve build:
Has patch: Yes
Description

Actually new created symbols in gvSIG (.sym) are saved with its full path. This makes difficult to share symbols between several
computers.
A solution could be that gvSIG always saves these symbols with relative paths. 
CSGIS Gbr and Geomati.co have developed this functionality for gvSIG CE (http://gvsigce.sourceforge.net/mantis/view.php?id=199).
The implementation  has been often discussed with gvSIG users and developers in the gvSIG CE user list in order to make it
compatible with gvSIG 1.12 (
http://gvsig-ce-users.1049287.n5.nabble.com/Gvsigce-users-doubt-about-bug-199-Symbol-library-td5706194.html)
Attached you will find the patch to make this possible.
Best regards!
The gvSIG CE Team

History
#1 - 06/11/2012 01:55 PM - Jorge Sanz

Hi, thanks in advance for your contribution.

Remember that as on any contribution to the core of the gvSIG (in this case at least to libFMap from a quick review of the patch) the gvSIG CLA is
needed to be signed by the contributor in order to retain all the copyright of the gvSIG source code in one trusted place. There is a rationale  of the 
gvSIG CLA at the gvSIG Portal.

Thus, apart from any technical review of your patch, or convenience on schedule for the 1.12 release, we need to receive the CLA (scanned PDF by
mail is OK) before accepting this patch.

Cheers.
Jorge

#2 - 06/11/2012 02:02 PM - Jorge Sanz

OK I see this patch has been developed by Fernando, and he sent the gvSIG CLA so we can accept patches from him.

It should be great if this is stated clearly on next patches to have a well known authorship of patches.

Sorry for the noise, best regards.
#3 - 06/13/2012 12:38 PM - Francisco Puga
- Target version deleted (1.12.0-final)

I review and it seems good, but i think that there is a small api change in the class JUrlFileChooser.

It's not a big change and i didn't see in a first look troubles in doing it, but as we are right now in the process of release a new stable version i would
prefer commit only bug fixes.

I remove the target version, and in the next tracker gardening reasing it to the ¿1.13? version.

Many thanks for your contribution.

#4 - 01/15/2014 12:21 PM - Álvaro Anguix
- Project changed from Application: gvSIG desktop to | gvSIG desktop 1
- Category deleted (Application)

Files
199.patch 19.5 KB 06/11/2012 Jose Antonio Canalejo Alonso
